org.eclipse.incquery.viewmodel.traceability.patterns

## Class Helpers

- java.lang.Object
- - org.eclipse.incquery.runtime.api.impl.BasePatternGroup
  - - org.eclipse.incquery.runtime.api.impl.BaseGeneratedPatternGroup
    - - org.eclipse.incquery.viewmodel.traceability.patterns.Helpers

- All Implemented Interfaces:
    IQueryGroup

      public final class Helpers
      extends BaseGeneratedPatternGroup

  A pattern group formed of all patterns defined in helpers.eiq.

  Use the static instance as any `org.eclipse.incquery.runtime.api.IPatternGroup`, to conveniently prepare an EMF-IncQuery engine for matching all patterns originally defined in file helpers.eiq, in order to achieve better performance than one-by-one on-demand matcher initialization.

  From package org.eclipse.incquery.viewmodel.traceability.patterns, the group contains the definition of the following patterns:

  - emptyTrace
  - traceTargets
  - trace2target
  - trace2param
  - trace2object
  - param2target
  - trace
  See Also:
    `IPatternGroup`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EmptyTraceQuerySpecification` | `getEmptyTrace()`
    `EmptyTraceMatcher` | `getEmptyTrace(IncQueryEngine engine)`
    `Param2targetQuerySpecification` | `getParam2target()`
    `Param2targetMatcher` | `getParam2target(IncQueryEngine engine)`
    `TraceQuerySpecification` | `getTrace()`
    `TraceMatcher` | `getTrace(IncQueryEngine engine)`
    `Trace2objectQuerySpecification` | `getTrace2object()`
    `Trace2objectMatcher` | `getTrace2object(IncQueryEngine engine)`
    `Trace2paramQuerySpecification` | `getTrace2param()`
    `Trace2paramMatcher` | `getTrace2param(IncQueryEngine engine)`
    `Trace2targetQuerySpecification` | `getTrace2target()`
    `Trace2targetMatcher` | `getTrace2target(IncQueryEngine engine)`
    `static Helpers` | `instance()` Access the pattern group.

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BaseGeneratedPatternGroup

      `getSpecifications`

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BasePatternGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static Helpers instance()
                                  throws IncQueryException

      Access the pattern group.
      Returns:
        the singleton instance of the group
      Throws:
        `IncQueryException` - if there was an error loading the generated code of pattern specifications

    - #### getEmptyTrace

          public EmptyTraceQuerySpecification getEmptyTrace()
                                                     throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getEmptyTrace

          public EmptyTraceMatcher getEmptyTrace(IncQueryEngine engine)
                                          throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getTrace2target

          public Trace2targetQuerySpecification getTrace2target()
                                                         throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getTrace2target

          public Trace2targetMatcher getTrace2target(IncQueryEngine engine)
                                              throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getTrace2param

          public Trace2paramQuerySpecification getTrace2param()
                                                       throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getTrace2param

          public Trace2paramMatcher getTrace2param(IncQueryEngine engine)
                                            throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getTrace2object

          public Trace2objectQuerySpecification getTrace2object()
                                                         throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getTrace2object

          public Trace2objectMatcher getTrace2object(IncQueryEngine engine)
                                              throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getParam2target

          public Param2targetQuerySpecification getParam2target()
                                                         throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getParam2target

          public Param2targetMatcher getParam2target(IncQueryEngine engine)
                                              throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getTrace

          public TraceQuerySpecification getTrace()
                                           throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getTrace

          public TraceMatcher getTrace(IncQueryEngine engine)
                                throws IncQueryException

      Throws:
        `IncQueryException`